org.apache.cassandra.db

## Class SuperColumns.SCFilter

- java.lang.Object
- - org.apache.cassandra.db.SuperColumns.SCFilter

Enclosing class:
  SuperColumns

    public static class SuperColumns.SCFilter
    extends java.lang.Object

### Field Summary

Fields
`java.nio.ByteBuffer` `scName`
`IDiskAtomFilter` `updatedFilter`

### Constructor Summary

Constructors
Constructor and Description
`SuperColumns.SCFilter(java.nio.ByteBuffer scName, IDiskAtomFilter updatedFilter)`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### scName

    public final java.nio.ByteBuffer scName

#### updatedFilter

    public final IDiskAtomFilter updatedFilter

### Constructor Detail

#### SuperColumns.SCFilter

    public SuperColumns.SCFilter(java.nio.ByteBuffer scName,
                         IDiskAtomFilter updatedFilter)